Subject: Re: bug#56423: 29.0.50; Hi-lock in dired broken by toggling wdired-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Jul 2022 15:22:11 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 08 Jul 2022 14:04:22 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Yes, it's okay to inhibit-quit for short intervals of time and around
> > small code fragments.
> 
> The direction back (especially `wdired-finish-edit' after making many
> changes) is problematic however.  If the user aborts when file changes
> have been performed partly we have a problem I think.

You mean, the display will no longer match the actual situation on
disk?  Then I think an unwind-protect or condition-case form that
resyncs the display in case of a signal is in order, since preventing
the user from aborting in that place would be wrong -- what if the
user realizes, too late, that some of the changes mean trouble?